
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef pom_ERROR_H
#define pom_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_pom    (5160)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_pom_NO_MODEL             H2_ENCODE_ERR(M_pom       , 1)
#define S_pom_NO_SUCH_FRAME        H2_ENCODE_ERR(M_pom       , 2)
#define S_pom_NO_FRAME_LIST        H2_ENCODE_ERR(M_pom       , 3)
#define S_pom_CANNOT_WRITE_FILE    H2_ENCODE_ERR(M_pom       , 4)
#define S_pom_CANNOT_OPEN_FILE     H2_ENCODE_ERR(M_pom       , 5)
#define S_pom_CANNOT_SET_POS       H2_ENCODE_ERR(M_pom       , 6)
#define S_pom_UNKNOWN_FRAME        H2_ENCODE_ERR(M_pom       , 7)
#define S_pom_NO_SUCH_SE           H2_ENCODE_ERR(M_pom       , 8)
#define S_pom_CANNOT_FIND_LINK     H2_ENCODE_ERR(M_pom       , 9)
#define S_pom_NO_SUCH_ME           H2_ENCODE_ERR(M_pom       , 10)
#define S_pom_CANNOT_FIND_POSTER   H2_ENCODE_ERR(M_pom       , 11)
#define S_pom_ME_ALREADY_EXISTS    H2_ENCODE_ERR(M_pom       , 12)
#define S_pom_ME_REJECTED          H2_ENCODE_ERR(M_pom       , 13)
#define S_pom_POM_PSI_OUT          H2_ENCODE_ERR(M_pom       , 14)
#define S_pom_POM_PHI_OUT          H2_ENCODE_ERR(M_pom       , 15)
#define S_pom_POM_THETA_OUT        H2_ENCODE_ERR(M_pom       , 16)
#define S_pom_POM_Z_OUT            H2_ENCODE_ERR(M_pom       , 17)
#define S_pom_POM_Y_OUT            H2_ENCODE_ERR(M_pom       , 18)
#define S_pom_POM_X_OUT            H2_ENCODE_ERR(M_pom       , 19)
#define S_pom_BAD_PARAMS           H2_ENCODE_ERR(M_pom       , 20)
#define S_pom_NO_SUCH_FILE         H2_ENCODE_ERR(M_pom       , 21)
#define S_pom_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_pom       , 22)
#define S_pom_NOT_ENOUGH_MEMORY    H2_ENCODE_ERR(M_pom       , 23)
#define S_pom_SYNTAX_ERROR         H2_ENCODE_ERR(M_pom       , 24)
#define S_pom_NO_INSITU            H2_ENCODE_ERR(M_pom       , 25)
#define S_pom_CAREFUL_JUMP         H2_ENCODE_ERR(M_pom       , 26)
#define S_pom_CANNOT_GET_FRAMES    H2_ENCODE_ERR(M_pom       , 27)
#define S_pom_CANNOT_FUSE_POSITIONS H2_ENCODE_ERR(M_pom       , 28)
#define S_pom_CANNOT_TAKE_POSTER   H2_ENCODE_ERR(M_pom       , 29)
#define S_pom_CANNOT_CREATE_POSTER H2_ENCODE_ERR(M_pom       , 30)


/* std errors */
#define S_pom_stdGenoM_ACTIVITY_INTERRUPTED       338224129   /* 5160<<16 | 0x8000 | 100<<8 | 1 */
#define S_pom_stdGenoM_TOO_MANY_ACTIVITIES        338224130   /* 5160<<16 | 0x8000 | 100<<8 | 2 */
#define S_pom_stdGenoM_ACTIVITY_FAILED            338224131   /* 5160<<16 | 0x8000 | 100<<8 | 3 */
#define S_pom_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 338224132   /* 5160<<16 | 0x8000 | 100<<8 | 4 */
#define S_pom_stdGenoM_UNKNOWN_ACTIVITY           338224133   /* 5160<<16 | 0x8000 | 100<<8 | 5 */
#define S_pom_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 338224134   /* 5160<<16 | 0x8000 | 100<<8 | 6 */
#define S_pom_stdGenoM_SYSTEM_ERROR               338224135   /* 5160<<16 | 0x8000 | 100<<8 | 7 */
#define S_pom_stdGenoM_ACTIVITY_ALREADY_ENDED     338224136   /* 5160<<16 | 0x8000 | 100<<8 | 8 */
#define S_pom_stdGenoM_WAIT_INIT_RQST             338224137   /* 5160<<16 | 0x8000 | 100<<8 | 9 */
#define S_pom_stdGenoM_CONTROL_CODEL_ERROR        338224138   /* 5160<<16 | 0x8000 | 100<<8 | 10 */
#define S_pom_stdGenoM_EXEC_TASK_SUSPENDED        338224139   /* 5160<<16 | 0x8000 | 100<<8 | 11 */
#define S_pom_stdGenoM_BAD_BLOCK_TYPE             338224140   /* 5160<<16 | 0x8000 | 100<<8 | 12 */
#define S_pom_stdGenoM_BAD_POSTER_TYPE            338224141   /* 5160<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define POM_H2_ERR_MSGS {\
    {"NO_MODEL", 1}, \
    {"NO_SUCH_FRAME", 2},\
    {"NO_FRAME_LIST", 3},\
    {"CANNOT_WRITE_FILE", 4},\
    {"CANNOT_OPEN_FILE", 5},\
    {"CANNOT_SET_POS", 6},\
    {"UNKNOWN_FRAME", 7},\
    {"NO_SUCH_SE", 8},\
    {"CANNOT_FIND_LINK", 9},\
    {"NO_SUCH_ME", 10},\
    {"CANNOT_FIND_POSTER", 11},\
    {"ME_ALREADY_EXISTS", 12},\
    {"ME_REJECTED", 13},\
    {"POM_PSI_OUT", 14},\
    {"POM_PHI_OUT", 15},\
    {"POM_THETA_OUT", 16},\
    {"POM_Z_OUT", 17},\
    {"POM_Y_OUT", 18},\
    {"POM_X_OUT", 19},\
    {"BAD_PARAMS", 20},\
    {"NO_SUCH_FILE", 21},\
    {"POSTER_NOT_FOUND", 22},\
    {"NOT_ENOUGH_MEMORY", 23},\
    {"SYNTAX_ERROR", 24},\
    {"NO_INSITU", 25},\
    {"CAREFUL_JUMP", 26},\
    {"CANNOT_GET_FRAMES", 27},\
    {"CANNOT_FUSE_POSITIONS", 28},\
    {"CANNOT_TAKE_POSTER", 29},\
    {"CANNOT_CREATE_POSTER", 30},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int pomRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
