
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * pomType.h:     La SDI_F de pom
 *
 * Utilise par le module et par les clients
 * (inclut dans pomMsgLib.h et pomPosterLib.h)
 * 
 */

#ifndef pom_TYPE_H
#define pom_TYPE_H

#include "genom/modules.h"
#include "pomError.h"

/* Nombre de tache d'execution de ce module */
#define POM_NB_EXEC_TASK                   (1)


#endif
#ifndef pom_TYPE1_H
#define pom_TYPE1_H

#include "pomStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct PomIDS {
	POM_ACTION mode;
	POM_STRING name;
	POM_STRING_2 posterName_fileName;
	POM_STRING modelname;
	POM_ME_CREATE_DATA medata;
	POM_SE_CREATE_DATA sedata;
	POM_SET_POS pos;
	POM_UNC pomUnc;
	int pomDate;
	POM_FUSION_METHOD fusionMethod;
	char tmp[512];
	POM_SENSOR_POS framePos;
	POM_POS pomPos;
	POM_STRING fileName;
	POM_SET_POS GetPosOutput[20];
} PomIDS;


#endif

