
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef pom_TCLSERV_CLIENT_MSG_LIB_H
#define pom_TCLSERV_CLIENT_MSG_LIB_H

#include <server/pomType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int pomTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int pomTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int pomTclservClientSetModelRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_STRING *(in_modelname) 
		);

int pomTclservClientSetModelReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientSetModelRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_STRING *(in_modelname) ,
				
				int *bilan);

int pomTclservClientSetModelRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_STRING *(in_modelname) ,
					
					int *bilan);




int pomTclservClientGetModelRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int pomTclservClientGetModelReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       POM_STRING *(out_modelname),
			       int *bilan);

int pomTclservClientGetModelRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 POM_STRING *(out_modelname),
				 int *bilan);




int pomTclservClientGetFusionMethodRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int pomTclservClientGetFusionMethodReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       POM_FUSION_METHOD *(out_fusionMethod),
			       int *bilan);

int pomTclservClientGetFusionMethodRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 POM_FUSION_METHOD *(out_fusionMethod),
				 int *bilan);




int pomTclservClientSetFusionMethodRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 POM_FUSION_METHOD *(in_fusionMethod)
		);

int pomTclservClientSetFusionMethodReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int pomTclservClientSetFusionMethodRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 POM_FUSION_METHOD *(in_fusionMethod) ,
				 
				 int *bilan);




int pomTclservClientRunRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 POM_ACTION *(in_mode)
		);

int pomTclservClientRunReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       POM_ACTION *(out_mode),
			       int *bilan);

int pomTclservClientRunRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 POM_ACTION *(in_mode) ,
				 POM_ACTION *(out_mode),
				 int *bilan);




int pomTclservClientMonitorPosKORqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_UNC *(in_pomUnc) 
		);

int pomTclservClientMonitorPosKOReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientMonitorPosKORqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_UNC *(in_pomUnc) ,
				
				int *bilan);

int pomTclservClientMonitorPosKORqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_UNC *(in_pomUnc) ,
					
					int *bilan);




int pomTclservClientMonitorPosOKRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_UNC *(in_pomUnc) 
		);

int pomTclservClientMonitorPosOKReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientMonitorPosOKRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_UNC *(in_pomUnc) ,
				
				int *bilan);

int pomTclservClientMonitorPosOKRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_UNC *(in_pomUnc) ,
					
					int *bilan);




int pomTclservClientMonitorMERejectRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int pomTclservClientMonitorMERejectReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientMonitorMERejectRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int pomTclservClientMonitorMERejectRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int pomTclservClientAddMERqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_ME_CREATE_DATA *(in_medata) 
		);

int pomTclservClientAddMEReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientAddMERqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_ME_CREATE_DATA *(in_medata) ,
				
				int *bilan);

int pomTclservClientAddMERqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_ME_CREATE_DATA *(in_medata) ,
					
					int *bilan);




int pomTclservClientRemoveMERqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_STRING *(in_name) 
		);

int pomTclservClientRemoveMEReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientRemoveMERqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_STRING *(in_name) ,
				
				int *bilan);

int pomTclservClientRemoveMERqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_STRING *(in_name) ,
					
					int *bilan);




int pomTclservClientSetRefMERqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_STRING *(in_name) 
		);

int pomTclservClientSetRefMEReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientSetRefMERqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_STRING *(in_name) ,
				
				int *bilan);

int pomTclservClientSetRefMERqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_STRING *(in_name) ,
					
					int *bilan);




int pomTclservClientResetRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int pomTclservClientResetReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientResetRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int pomTclservClientResetRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int pomTclservClientAddSERqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_SE_CREATE_DATA *(in_sedata) 
		);

int pomTclservClientAddSEReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientAddSERqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_SE_CREATE_DATA *(in_sedata) ,
				
				int *bilan);

int pomTclservClientAddSERqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_SE_CREATE_DATA *(in_sedata) ,
					
					int *bilan);




int pomTclservClientRemoveSERqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_STRING *(in_name) 
		);

int pomTclservClientRemoveSEReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientRemoveSERqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_STRING *(in_name) ,
				
				int *bilan);

int pomTclservClientRemoveSERqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_STRING *(in_name) ,
					
					int *bilan);




int pomTclservClientSetPosRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_SET_POS *(in_pos) 
		);

int pomTclservClientSetPosReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientSetPosRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_SET_POS *(in_pos) ,
				
				int *bilan);

int pomTclservClientSetPosRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_SET_POS *(in_pos) ,
					
					int *bilan);




int pomTclservClientGetPosRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int pomTclservClientGetPosReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      POM_SET_POS *(out_pos),
			      int *bilan);


int pomTclservClientGetPosRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				POM_SET_POS *(out_pos),
				int *bilan);

int pomTclservClientGetPosRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					POM_SET_POS *(out_pos),
					int *bilan);




int pomTclservClientGetFramePosRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_STRING *(in_name) 
		);

int pomTclservClientGetFramePosReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      POM_SET_POS *(out_pos),
			      int *bilan);


int pomTclservClientGetFramePosRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_STRING *(in_name) ,
				POM_SET_POS *(out_pos),
				int *bilan);

int pomTclservClientGetFramePosRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_STRING *(in_name) ,
					POM_SET_POS *(out_pos),
					int *bilan);




int pomTclservClientSetAbsPosFromMERqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_STRING *(in_name) 
		);

int pomTclservClientSetAbsPosFromMEReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientSetAbsPosFromMERqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_STRING *(in_name) ,
				
				int *bilan);

int pomTclservClientSetAbsPosFromMERqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_STRING *(in_name) ,
					
					int *bilan);




int pomTclservClientLogRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_STRING *(in_fileName) 
		);

int pomTclservClientLogReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientLogRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_STRING *(in_fileName) ,
				
				int *bilan);

int pomTclservClientLogRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_STRING *(in_fileName) ,
					
					int *bilan);




int pomTclservClientStopLogRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int pomTclservClientStopLogReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int pomTclservClientStopLogRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int pomTclservClientDisplayFrameRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_STRING *(in_name) 
		);

int pomTclservClientDisplayFrameReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      POM_SENSOR_POS *(out_framePos),
			      int *bilan);


int pomTclservClientDisplayFrameRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_STRING *(in_name) ,
				POM_SENSOR_POS *(out_framePos),
				int *bilan);

int pomTclservClientDisplayFrameRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_STRING *(in_name) ,
					POM_SENSOR_POS *(out_framePos),
					int *bilan);




int pomTclservClientWriteSensorPosFileRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 POM_STRING_2 *(in_posterName_fileName) 
		);

int pomTclservClientWriteSensorPosFileReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int pomTclservClientWriteSensorPosFileRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				POM_STRING_2 *(in_posterName_fileName) ,
				
				int *bilan);

int pomTclservClientWriteSensorPosFileRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					POM_STRING_2 *(in_posterName_fileName) ,
					
					int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* pomTCLSERV_CLIENT_MSG_LIB_H */

