
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] pomInstall] >= 0 } {
    interp expose {} pomInstall
}

proc ::pomInstall { name } {
    foreach rqst { "SetModel" "GetModel" "GetFusionMethod" "SetFusionMethod" "Run" "MonitorPosKO" "MonitorPosOK" "MonitorMEReject" "AddME" "RemoveME" "SetRefME" "Reset" "AddSE" "RemoveSE" "SetPos" "GetPos" "GetFramePos" "SetAbsPosFromME" "Log" "StopLog" "DisplayFrame" "WriteSensorPosFile" "PospomPosPosterRead" "FramePospom_sensor_posPosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} pom$rqst $name
    }
}

interp hide {} pomInstall




# SetModel ----------------------------------------------------------

if { [lsearch [interp hidden] pomSetModel] >= 0 } {
    interp expose {} pomSetModel
}
if { [lsearch [interp hidden] pomSetModelFormatOutput] >= 0 } {
    interp expose {} pomSetModelFormatOutput
}

proc ::pomSetModel { name args } {
    set format {}
    lappend format [list string "Model file name" "" ]

    return [ ::cs::rqstSend "${name}" "SetModel" \
	"Init by setting geometric description file" \
	"POM_STRING\n| char name\[512\]\n" \
	1 \
	$format \
	$args ]
}


proc ::pomSetModelFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomSetModel
interp hide {} pomSetModelFormatOutput





# GetModel ----------------------------------------------------------

if { [lsearch [interp hidden] pomGetModel] >= 0 } {
    interp expose {} pomGetModel
}
if { [lsearch [interp hidden] pomGetModelFormatOutput] >= 0 } {
    interp expose {} pomGetModelFormatOutput
}

proc ::pomGetModel { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetModel" \
	"Get geometric description file name" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::pomGetModelFormatOutput { list } {
    set format { {} status { } { modelname { } name } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomGetModel
interp hide {} pomGetModelFormatOutput





# GetFusionMethod ----------------------------------------------------------

if { [lsearch [interp hidden] pomGetFusionMethod] >= 0 } {
    interp expose {} pomGetFusionMethod
}
if { [lsearch [interp hidden] pomGetFusionMethodFormatOutput] >= 0 } {
    interp expose {} pomGetFusionMethodFormatOutput
}

proc ::pomGetFusionMethod { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetFusionMethod" \
	"Get fusion method" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::pomGetFusionMethodFormatOutput { list } {
    set format { {} status { } fusionMethod }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomGetFusionMethod
interp hide {} pomGetFusionMethodFormatOutput





# SetFusionMethod ----------------------------------------------------------

if { [lsearch [interp hidden] pomSetFusionMethod] >= 0 } {
    interp expose {} pomSetFusionMethod
}
if { [lsearch [interp hidden] pomSetFusionMethodFormatOutput] >= 0 } {
    interp expose {} pomSetFusionMethodFormatOutput
}

proc ::pomSetFusionMethod { name args } {
    set format {}
    lappend format [list { "POM_FUSION_BAYES" "POM_FUSION_MAX_CONF" "POM_FUSION_KALMAN" } "fusionMethod" "" ]

    return [ ::cs::rqstSend "${name}" "SetFusionMethod" \
	"Set fusion method" \
	"POM_FUSION_METHOD fusionMethod\n" \
	1 \
	$format \
	$args ]
}


proc ::pomSetFusionMethodFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomSetFusionMethod
interp hide {} pomSetFusionMethodFormatOutput





# Run ----------------------------------------------------------

if { [lsearch [interp hidden] pomRun] >= 0 } {
    interp expose {} pomRun
}
if { [lsearch [interp hidden] pomRunFormatOutput] >= 0 } {
    interp expose {} pomRunFormatOutput
}

proc ::pomRun { name args } {
    set format {}
    lappend format [list { "POM_QUERY_MODE" "POM_STOP" "POM_START" } "Mode" "POM_START" ]

    return [ ::cs::rqstSend "${name}" "Run" \
	"Control working mode" \
	"POM_ACTION mode\n" \
	1 \
	$format \
	$args ]
}


proc ::pomRunFormatOutput { list } {
    set format { {} status { } mode }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomRun
interp hide {} pomRunFormatOutput





# MonitorPosKO ----------------------------------------------------------

if { [lsearch [interp hidden] pomMonitorPosKO] >= 0 } {
    interp expose {} pomMonitorPosKO
}
if { [lsearch [interp hidden] pomMonitorPosKOFormatOutput] >= 0 } {
    interp expose {} pomMonitorPosKOFormatOutput
}

proc ::pomMonitorPosKO { name args } {
    set format {}
    lappend format [list double "utheta" 0.200000 ]
    lappend format [list double "uphi" 0.200000 ]
    lappend format [list double "upsi" 0.200000 ]
    lappend format [list double "ux" 0.200000 ]
    lappend format [list double "uy" 0.200000 ]
    lappend format [list double "uz" 0.200000 ]

    return [ ::cs::rqstSend "${name}" "MonitorPosKO" \
	"Monitoring of the quality of the postion" \
	"POM_UNC\n| double utheta\n| double uphi\n| double upsi\n| double ux\n| double uy\n| double uz\n" \
	6 \
	$format \
	$args ]
}


proc ::pomMonitorPosKOFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomMonitorPosKO
interp hide {} pomMonitorPosKOFormatOutput





# MonitorPosOK ----------------------------------------------------------

if { [lsearch [interp hidden] pomMonitorPosOK] >= 0 } {
    interp expose {} pomMonitorPosOK
}
if { [lsearch [interp hidden] pomMonitorPosOKFormatOutput] >= 0 } {
    interp expose {} pomMonitorPosOKFormatOutput
}

proc ::pomMonitorPosOK { name args } {
    set format {}
    lappend format [list double "utheta" 0.200000 ]
    lappend format [list double "uphi" 0.200000 ]
    lappend format [list double "upsi" 0.200000 ]
    lappend format [list double "ux" 0.200000 ]
    lappend format [list double "uy" 0.200000 ]
    lappend format [list double "uz" 0.200000 ]

    return [ ::cs::rqstSend "${name}" "MonitorPosOK" \
	"Monitoring if the quality of the postion is getting better" \
	"POM_UNC\n| double utheta\n| double uphi\n| double upsi\n| double ux\n| double uy\n| double uz\n" \
	6 \
	$format \
	$args ]
}


proc ::pomMonitorPosOKFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomMonitorPosOK
interp hide {} pomMonitorPosOKFormatOutput





# MonitorMEReject ----------------------------------------------------------

if { [lsearch [interp hidden] pomMonitorMEReject] >= 0 } {
    interp expose {} pomMonitorMEReject
}
if { [lsearch [interp hidden] pomMonitorMERejectFormatOutput] >= 0 } {
    interp expose {} pomMonitorMERejectFormatOutput
}

proc ::pomMonitorMEReject { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "MonitorMEReject" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::pomMonitorMERejectFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomMonitorMEReject
interp hide {} pomMonitorMERejectFormatOutput





# AddME ----------------------------------------------------------

if { [lsearch [interp hidden] pomAddME] >= 0 } {
    interp expose {} pomAddME
}
if { [lsearch [interp hidden] pomAddMEFormatOutput] >= 0 } {
    interp expose {} pomAddMEFormatOutput
}

proc ::pomAddME { name args } {
    set format {}
    lappend format [list string "Module name" "" ]
    lappend format [list { "POM_FUSE" "POM_READ_ONLY" } "Action" "POM_FUSE" ]
    lappend format [list int "medata.unused" 0 ]

    return [ ::cs::rqstSend "${name}" "AddME" \
	"Connect a motion estimator" \
	"POM_ME_CREATE_DATA\n| char name\[512\]\n| POM_FUSION_FLAG fuseFlag\n| int unused\n" \
	3 \
	$format \
	$args ]
}


proc ::pomAddMEFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomAddME
interp hide {} pomAddMEFormatOutput





# RemoveME ----------------------------------------------------------

if { [lsearch [interp hidden] pomRemoveME] >= 0 } {
    interp expose {} pomRemoveME
}
if { [lsearch [interp hidden] pomRemoveMEFormatOutput] >= 0 } {
    interp expose {} pomRemoveMEFormatOutput
}

proc ::pomRemoveME { name args } {
    set format {}
    lappend format [list string "Module name" "" ]

    return [ ::cs::rqstSend "${name}" "RemoveME" \
	"** undocumented **" \
	"POM_STRING\n| char name\[512\]\n" \
	1 \
	$format \
	$args ]
}


proc ::pomRemoveMEFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomRemoveME
interp hide {} pomRemoveMEFormatOutput





# SetRefME ----------------------------------------------------------

if { [lsearch [interp hidden] pomSetRefME] >= 0 } {
    interp expose {} pomSetRefME
}
if { [lsearch [interp hidden] pomSetRefMEFormatOutput] >= 0 } {
    interp expose {} pomSetRefMEFormatOutput
}

proc ::pomSetRefME { name args } {
    set format {}
    lappend format [list string "Module name" "" ]

    return [ ::cs::rqstSend "${name}" "SetRefME" \
	"** undocumented **" \
	"POM_STRING\n| char name\[512\]\n" \
	1 \
	$format \
	$args ]
}


proc ::pomSetRefMEFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomSetRefME
interp hide {} pomSetRefMEFormatOutput





# Reset ----------------------------------------------------------

if { [lsearch [interp hidden] pomReset] >= 0 } {
    interp expose {} pomReset
}
if { [lsearch [interp hidden] pomResetFormatOutput] >= 0 } {
    interp expose {} pomResetFormatOutput
}

proc ::pomReset { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Reset" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::pomResetFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomReset
interp hide {} pomResetFormatOutput





# AddSE ----------------------------------------------------------

if { [lsearch [interp hidden] pomAddSE] >= 0 } {
    interp expose {} pomAddSE
}
if { [lsearch [interp hidden] pomAddSEFormatOutput] >= 0 } {
    interp expose {} pomAddSEFormatOutput
}

proc ::pomAddSE { name args } {
    set format {}
    lappend format [list string "Poster name" "" ]
    lappend format [list string "Sensor name" "" ]
    lappend format [list string "Frame from" "" ]
    lappend format [list string "Frame to" "" ]

    return [ ::cs::rqstSend "${name}" "AddSE" \
	"Connect a sensor estimator" \
	"POM_SE_CREATE_DATA\n| char nameposter\[512\]\n| char namese\[512\]\n| char namefrom\[512\]\n| char nameto\[512\]\n" \
	4 \
	$format \
	$args ]
}


proc ::pomAddSEFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomAddSE
interp hide {} pomAddSEFormatOutput





# RemoveSE ----------------------------------------------------------

if { [lsearch [interp hidden] pomRemoveSE] >= 0 } {
    interp expose {} pomRemoveSE
}
if { [lsearch [interp hidden] pomRemoveSEFormatOutput] >= 0 } {
    interp expose {} pomRemoveSEFormatOutput
}

proc ::pomRemoveSE { name args } {
    set format {}
    lappend format [list string "Module name" "" ]

    return [ ::cs::rqstSend "${name}" "RemoveSE" \
	"** undocumented **" \
	"POM_STRING\n| char name\[512\]\n" \
	1 \
	$format \
	$args ]
}


proc ::pomRemoveSEFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomRemoveSE
interp hide {} pomRemoveSEFormatOutput





# SetPos ----------------------------------------------------------

if { [lsearch [interp hidden] pomSetPos] >= 0 } {
    interp expose {} pomSetPos
}
if { [lsearch [interp hidden] pomSetPosFormatOutput] >= 0 } {
    interp expose {} pomSetPosFormatOutput
}

proc ::pomSetPos { name args } {
    set format {}
    lappend format [list string "Frame for position" "Robot" ]
    lappend format [list double "Yaw" 0.000000 ]
    lappend format [list double "Pitch" 0.000000 ]
    lappend format [list double "Roll" 0.000000 ]
    lappend format [list double "x (m)" 0.000000 ]
    lappend format [list double "y (m)" 0.000000 ]
    lappend format [list double "z (m)" 0.000000 ]

    return [ ::cs::rqstSend "${name}" "SetPos" \
	"** undocumented **" \
	"POM_SET_POS\n| char frame\[512\]\n| double yaw\n| double pitch\n| double roll\n| double x\n| double y\n| double z\n" \
	7 \
	$format \
	$args ]
}


proc ::pomSetPosFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomSetPos
interp hide {} pomSetPosFormatOutput





# GetPos ----------------------------------------------------------

if { [lsearch [interp hidden] pomGetPos] >= 0 } {
    interp expose {} pomGetPos
}
if { [lsearch [interp hidden] pomGetPosFormatOutput] >= 0 } {
    interp expose {} pomGetPosFormatOutput
}

proc ::pomGetPos { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetPos" \
	"WARNING: angles are converted to degrees!" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::pomGetPosFormatOutput { list } {
    set format { {} status { } { pos { } frame { } yaw { } pitch { } roll { } x { } y { } z } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomGetPos
interp hide {} pomGetPosFormatOutput





# GetFramePos ----------------------------------------------------------

if { [lsearch [interp hidden] pomGetFramePos] >= 0 } {
    interp expose {} pomGetFramePos
}
if { [lsearch [interp hidden] pomGetFramePosFormatOutput] >= 0 } {
    interp expose {} pomGetFramePosFormatOutput
}

proc ::pomGetFramePos { name args } {
    set format {}
    lappend format [list string "Frame for position" "Robot" ]

    return [ ::cs::rqstSend "${name}" "GetFramePos" \
	"** undocumented **" \
	"POM_STRING\n| char name\[512\]\n" \
	1 \
	$format \
	$args ]
}


proc ::pomGetFramePosFormatOutput { list } {
    set format { {} status { } { pos { } frame { } yaw { } pitch { } roll { } x { } y { } z } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomGetFramePos
interp hide {} pomGetFramePosFormatOutput





# SetAbsPosFromME ----------------------------------------------------------

if { [lsearch [interp hidden] pomSetAbsPosFromME] >= 0 } {
    interp expose {} pomSetAbsPosFromME
}
if { [lsearch [interp hidden] pomSetAbsPosFromMEFormatOutput] >= 0 } {
    interp expose {} pomSetAbsPosFromMEFormatOutput
}

proc ::pomSetAbsPosFromME { name args } {
    set format {}
    lappend format [list string "name.name" "" ]

    return [ ::cs::rqstSend "${name}" "SetAbsPosFromME" \
	"** undocumented **" \
	"POM_STRING\n| char name\[512\]\n" \
	1 \
	$format \
	$args ]
}


proc ::pomSetAbsPosFromMEFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomSetAbsPosFromME
interp hide {} pomSetAbsPosFromMEFormatOutput





# Log ----------------------------------------------------------

if { [lsearch [interp hidden] pomLog] >= 0 } {
    interp expose {} pomLog
}
if { [lsearch [interp hidden] pomLogFormatOutput] >= 0 } {
    interp expose {} pomLogFormatOutput
}

proc ::pomLog { name args } {
    set format {}
    lappend format [list string "Log file name" "/tmp/pom.log" ]

    return [ ::cs::rqstSend "${name}" "Log" \
	"** undocumented **" \
	"POM_STRING\n| char name\[512\]\n" \
	1 \
	$format \
	$args ]
}


proc ::pomLogFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomLog
interp hide {} pomLogFormatOutput





# StopLog ----------------------------------------------------------

if { [lsearch [interp hidden] pomStopLog] >= 0 } {
    interp expose {} pomStopLog
}
if { [lsearch [interp hidden] pomStopLogFormatOutput] >= 0 } {
    interp expose {} pomStopLogFormatOutput
}

proc ::pomStopLog { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "StopLog" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::pomStopLogFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomStopLog
interp hide {} pomStopLogFormatOutput





# DisplayFrame ----------------------------------------------------------

if { [lsearch [interp hidden] pomDisplayFrame] >= 0 } {
    interp expose {} pomDisplayFrame
}
if { [lsearch [interp hidden] pomDisplayFrameFormatOutput] >= 0 } {
    interp expose {} pomDisplayFrameFormatOutput
}

proc ::pomDisplayFrame { name args } {
    set format {}
    lappend format [list string "name.name" "" ]

    return [ ::cs::rqstSend "${name}" "DisplayFrame" \
	"** undocumented **" \
	"POM_STRING\n| char name\[512\]\n" \
	1 \
	$format \
	$args ]
}


proc ::pomDisplayFrameFormatOutput { list } {
    set format { {} status { } { framePos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomDisplayFrame
interp hide {} pomDisplayFrameFormatOutput





# WriteSensorPosFile ----------------------------------------------------------

if { [lsearch [interp hidden] pomWriteSensorPosFile] >= 0 } {
    interp expose {} pomWriteSensorPosFile
}
if { [lsearch [interp hidden] pomWriteSensorPosFileFormatOutput] >= 0 } {
    interp expose {} pomWriteSensorPosFileFormatOutput
}

proc ::pomWriteSensorPosFile { name args } {
    set format {}
    lappend format [list string "posterName_fileName.name1" "" ]
    lappend format [list string "posterName_fileName.name2" "" ]

    return [ ::cs::rqstSend "${name}" "WriteSensorPosFile" \
	"Write .pos file : date, sensorToMain, mainToBase, mainToOrigin" \
	"POM_STRING_2\n| char name1\[512\]\n| char name2\[512\]\n" \
	2 \
	$format \
	$args ]
}


proc ::pomWriteSensorPosFileFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomWriteSensorPosFile
interp hide {} pomWriteSensorPosFileFormatOutput





# PospomPos ----------------------------------------------------------

if { [lsearch [interp hidden] pomPospomPosPosterRead] >= 0 } {
    interp expose {} pomPospomPosPosterRead
}
if { [lsearch [interp hidden] pomPospomPosPosterFormatOutput] >= 0 } {
    interp expose {} pomPospomPosPosterFormatOutput
}

proc ::pomPospomPosPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "PospomPos" \
	"POM_POS\n| int date\n| int pomTickDate\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n" \
	$args ]
}


proc ::pomPospomPosPosterFormatOutput { list } {
    set format { {} status { } { pomPos { } date { } pomTickDate { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomPospomPosPosterRead
interp hide {} pomPospomPosPosterFormatOutput





# FramePospom_sensor_pos ----------------------------------------------------------

if { [lsearch [interp hidden] pomFramePospom_sensor_posPosterRead] >= 0 } {
    interp expose {} pomFramePospom_sensor_posPosterRead
}
if { [lsearch [interp hidden] pomFramePospom_sensor_posPosterFormatOutput] >= 0 } {
    interp expose {} pomFramePospom_sensor_posPosterFormatOutput
}

proc ::pomFramePospom_sensor_posPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "FramePospom_sensor_pos" \
	"POM_SENSOR_POS\n| int date\n| int pad\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n" \
	$args ]
}


proc ::pomFramePospom_sensor_posPosterFormatOutput { list } {
    set format { {} status { } { pom_sensor_pos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} pomFramePospom_sensor_posPosterRead
interp hide {} pomFramePospom_sensor_posPosterFormatOutput


